Package org.apache.any23.vocab

## Class YAML

- java.lang.Object
- - org.apache.any23.vocab.Vocabulary
  - - org.apache.any23.vocab.YAML

-     public class YAML
      extends Vocabulary

  This vocabulary describes model of the yaml file.
  Author:
    Jacek Grzebyta (grzebyta.dev [at] gmail.com)

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `org.eclipse.rdf4j.model.IRI` | `contains` |
    `static String` | `CONTAINS` |
    `org.eclipse.rdf4j.model.IRI` | `document` |
    `static String` | `DOCUMENT` |
    `org.eclipse.rdf4j.model.IRI` | `mapping` |
    `static String` | `MAPPING` |
    `org.eclipse.rdf4j.model.IRI` | `node` |
    `static String` | `NODE` |
    `static String` | `NS` |
    `static String` | `NULL` |
    `org.eclipse.rdf4j.model.IRI` | `nullValue` |
    `static String` | `PREFIX` |
    `org.eclipse.rdf4j.model.IRI` | `root` | The root node.
    `static String` | `ROOT` |
    `org.eclipse.rdf4j.model.IRI` | `sequence` |
    `static String` | `SEQUENCE` |

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static YAML` | `getInstance()` |

    - ### Methods inherited from class org.apache.any23.vocab.Vocabulary

      `createClass, createIRI, createProperty, getClass, getClasses, getCommentFor, getComments, getNamespace, getProperties, getProperty, getProperty, getPropertyCamelCase`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### NS

          public static final String NS

      See Also:
        Constant Field Values

    - #### PREFIX

          public static final String PREFIX

      See Also:
        Constant Field Values

    - #### ROOT

          public static final String ROOT

      See Also:
        Constant Field Values

    - #### DOCUMENT

          public static final String DOCUMENT

      See Also:
        Constant Field Values

    - #### NODE

          public static final String NODE

      See Also:
        Constant Field Values

    - #### SEQUENCE

          public static final String SEQUENCE

      See Also:
        Constant Field Values

    - #### MAPPING

          public static final String MAPPING

      See Also:
        Constant Field Values

    - #### CONTAINS

          public static final String CONTAINS

      See Also:
        Constant Field Values

    - #### NULL

          public static final String NULL

      See Also:
        Constant Field Values

    - #### root

          public final org.eclipse.rdf4j.model.IRI root

      The root node. Representation of the YAML file. NB: one file may contain more than one documents represented by nodes; e.g.

      `%YAML 1.2 --- - data1 - data2 --- - data3`

      Contains two documents.

    - #### document

          public final org.eclipse.rdf4j.model.IRI document

    - #### node

          public final org.eclipse.rdf4j.model.IRI node

    - #### sequence

          public final org.eclipse.rdf4j.model.IRI sequence

    - #### mapping

          public final org.eclipse.rdf4j.model.IRI mapping

    - #### contains

          public final org.eclipse.rdf4j.model.IRI contains

    - #### nullValue

          public final org.eclipse.rdf4j.model.IRI nullValue

  - ### Method Detail

    - #### getInstance

          public static YAML getInstance()